jQuery( document ).ready( function( $ ) {

	/**
	 * Clear Log
	 *
	 * @since 	3.0.0
	 */
	$( 'a.clear-log' ).on( 'click', function( e ) {

		// Define button
		var button = $( this );

		// Bail if the user doesn't want to clear the log
		var result = confirm( $( button ).data( 'message' ) );
		if ( ! result ) {
			// Prevent default action
			e.preventDefault();
			return false;
		}

		// If the button doesn't have an action and a target, it's not an AJAX request
		// Let the request through
		if ( typeof $( button ).data( 'action' ) === undefined || $( button ).data( 'target' ) === undefined ) {
			return true;
		}

		// Prevent default action
		e.preventDefault();

		// Send AJAX request to clear log
		$.post( 
			page_generator_pro_log.ajax, 
			{
				'action': 		$( button ).data( 'action' ),
				'nonce': 		page_generator_pro_log.clear_log_nonce
			},
			function( response ) {

				if ( response.success ) {
					$( 'table.widefat tbody', $( $( button ).data( 'target' ) ) ).html( '<tr><td colspan="8">' + page_generator_pro_log.clear_log_completed + '</td></tr>' );	
				} else {
					alert( response.data );
				}

            }
        );
	} );

} );