<?php
/**
 * Elementor Autocomplete Control
 *
 * @package Page_Generator_Pro
 * @author  Tim Carr
 * @version 3.0.8
 */
class Page_Generator_Pro_Elementor_Control_Autocomplete extends Elementor\Control_Text {

	/**
	 * Get the control type
	 *
	 * @since 	3.0.8
	 *
	 * @return string 	Control Type
	 */
	public function get_type() {

		return 'page-generator-pro-autocomplete';

	}

	/**
	 * Enqueue JS to initialize anything we need e.g. Autocomplete
	 *
	 * @since 	3.0.8
	 */
	public function enqueue() {

		// If SCRIPT_DEBUG is enabled, load unminified versions
        if ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ) {
            $ext = '';
        } else {
            $ext = 'min';
        }

		wp_enqueue_script( 
			Page_Generator_Pro()->plugin->name . '-elementor',
			Page_Generator_Pro()->plugin->url . 'assets/js/' . ( $ext ? 'min/' : '' ) . 'elementor' . ( $ext ? '-min' : '' ) . '.js',
			array( 'jquery' ),
			Page_Generator_Pro()->plugin->version,
			true
		);

	}

	/**
	 * Render the field in the editor
	 *
	 * @since 	3.0.8
	 */
	public function content_template() {

		$control_uid = $this->get_control_uid();
		?>
		<div class="elementor-control-field">
			<# if ( data.label ) {#>
				<label for="<?php echo $control_uid; ?>" class="elementor-control-title">{{{ data.label }}}</label>
			<# } #>
			<div class="elementor-control-input-wrapper elementor-control-unit-5 elementor-control-dynamic-switcher-wrapper">
				<input id="<?php echo $control_uid; ?>" type="{{ data.input_type }}" class="wpzinc-autocomplete tooltip-target elementor-control-tag-area" data-tooltip="{{ data.title }}" title="{{ data.title }}" data-setting="{{ data.name }}" placeholder="{{ data.placeholder }}" />
			</div>
		</div>
		<# if ( data.description ) { #>
			<div class="elementor-control-field-description">{{{ data.description }}}</div>
		<# } #>
		<?php

	}

}